curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/test \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
ping_result = wirebox.webhooks.ping("whk_01J8DEF456GHI789")
print("Status:", ping_result.status_code, "Latency:", ping_result.latency_ms)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const pingResult = await wirebox.webhooks.ping("whk_01J8DEF456GHI789");
console.log("Status:", pingResult.status_code, "Latency:", pingResult.latency_ms);
wirebox webhook test whk_01J8DEF456GHI789
{
"webhook_id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"event_type": "test.ping",
"status_code": 200,
"latency_ms": 142,
"success": true,
"error": null
}
Webhooks
Test Webhook Ping
Send an immediate diagnostic ping event to test connectivity, SSL handshake, and endpoint response.
POST
/
api
/
v1
/
webhooks
/
{id}
/
test
curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/test \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
ping_result = wirebox.webhooks.ping("whk_01J8DEF456GHI789")
print("Status:", ping_result.status_code, "Latency:", ping_result.latency_ms)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const pingResult = await wirebox.webhooks.ping("whk_01J8DEF456GHI789");
console.log("Status:", pingResult.status_code, "Latency:", pingResult.latency_ms);
wirebox webhook test whk_01J8DEF456GHI789
{
"webhook_id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"event_type": "test.ping",
"status_code": 200,
"latency_ms": 142,
"success": true,
"error": null
}
Path Parameters
string
required
The unique webhook ID.
curl -X POST https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789/test \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
ping_result = wirebox.webhooks.ping("whk_01J8DEF456GHI789")
print("Status:", ping_result.status_code, "Latency:", ping_result.latency_ms)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const pingResult = await wirebox.webhooks.ping("whk_01J8DEF456GHI789");
console.log("Status:", pingResult.status_code, "Latency:", pingResult.latency_ms);
wirebox webhook test whk_01J8DEF456GHI789
{
"webhook_id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"event_type": "test.ping",
"status_code": 200,
"latency_ms": 142,
"success": true,
"error": null
}